Support » Plugin: Widget Logic » Error with WordPress 3.8

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Contributor alanft

    (@alanft)

    oh dear that implies that something quite basic has changed in widget controls in 3.8

    i’ll take a look this weekend.

    Plugin Contributor alanft

    (@alanft)

    i’ve done a very quick install of 3.8 on a dev site, added widget-logic and put in some simple code on one widget and I’ve not yet seen the error you describe BUT it’s not behaving exactly as I would expect from the off, so i’m still investigating the possibility something is wrong.

    Plugin Contributor alanft

    (@alanft)

    no wait, the unexplained behaviour is now clear to me, and it’s to do with the behaviour of a custom widget and not with widget logic. I’ll persist with a few stronger tests, but on the face of it, all is well so far.

    Sorry, I don’t have any general troubleshooting steps beyond some basic ‘turn it off and back on’ style suggestions. save out your widget logic code with ‘export options’ button and clear out your widget logic one at a time until it goes. alternatively deactivate actual widget plugins one by one to find where the problem lies. and so on.

    Oops!
    I see now that it was another plugin that was creating the problem, and throwing the error message I mentioned above. It was an outdated plugin (DP Widget Plus), that once I deactivated it the error went away.

    Sorry for the trouble and waste of time. All is well.
    Thanks for looking into it.

    Plugin Contributor alanft

    (@alanft)

    no waste of time at all! I needed to get it tested against 3.8 of course. glad all is well

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error with WordPress 3.8’ is closed to new replies.